Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5176 - iowin command broken in redhat 6
Summary: iowin command broken in redhat 6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xxgdb
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-17 03:15 UTC by j.cooper
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-20 06:58:23 UTC


Attachments (Terms of Use)

Description j.cooper 1999-09-17 03:15:25 UTC
The xxgdb package comes with xxgdbiowin not compiled.  I
installed the source with
	rpm -ih xxgdb-1.12-10.src.rpm
and then
	rpm -bc xxgdb.spec
I noticed that the Imakefile already has
	DEFGDB =  -DGDB -DCREATE_IO_WINDOW -g
so I said:
	make xxgdbiowin
I made sure all ather copies of xxgdbiowin were removed and
in /usr/src/redhat/BUILD/xxgdb-1.12 said
	./xxgdb xxgdb
If I then say to xxgdb
	iowin
(with . in my path).  A window is popped up, but xxgdb then
hangs.

iowin is important for debugging ncurses programs.  It was
working with redhat 5.1.

Comment 1 j.cooper 1999-09-21 02:08:59 UTC
The experiment I described did actually show a correctly working IO
window, but after I installed the programmes I could not get it to
work again.  I will reinstall redhat 6 and retry.

Comment 2 j.cooper 1999-10-20 06:58:59 UTC
workaround:  xxgdbiowin will sometimes leave a special file in /tmp:
srwxrwxr-x   1 jc       jc              0 Oct 20 14:35 iowindowtty
Note the first char of that long listing.  Removing the file seems to
let me run iowin again.

Comment 3 Jeff Johnson 2001-01-08 19:41:45 UTC
The work around seems to be adequate, as debugging ncurses with xxgdb hardly
seems
to have a critically important impact. Please reopen if you disagree.


Note You need to log in before you can comment on or make changes to this bug.